<div class="help">
<ul>
<li><sample>linux</sample> finds all nodes that <strong>contain</strong>
the word linux. <sample>not server</sample> finds all the nodes that
<strong>do not contain</strong> the word server.</li>

<li>The boolean operators that can be used are: <strong>and</strong>,
<strong>or</strong> and <strong>not</strong>.  Without boolean operators,
<strong>and</strong> will be assumed.  The operators are not case
sensitive.  These three searches are the same: <sample>linux
server</sample>, <sample>server linux</sample>, <sample>linux AND
server</sample>.  To search for the words <strong>and</strong>,
<strong>or</strong>, or <strong>not</strong>, place them in a double
quotes.  <sample>"not"</sample> will search for the word ``not''.</li>

<li>To search for a <strong>phrase</strong> in a node, use
<strong>double-quotes</strong> to delimit your search terms. You can not
use boolean search terms inside a phrase.  That is: <sample>vi and
emacs</sample> finds nodes with both words ``vi'' and ``emacs'', but:
<sample>"vi and emacs"</sample> finds nodes that have the phrase ``vi and
emacs''. A phrase can consist of a single word, so this is how to search
for the words used as boolean operators: <sample>vi "and" emacs</sample>
finds nodes that contain all three words, but in any order. </li>

<li><strong>Parentheses</strong> can be used to group searches: <sample>not
(vi and emacs)</sample>. The result is all nodes that have none or one
term, but not both.</li>

<li>The <strong>wildcard (*)</strong> is available, however it can only be
used at the end of a word. <sample>install</sample> only retrieves nodes
which contain the given word. On the other hand: <sample>install*</sample>
retrieves ``installing'', ``installation'', etc. along with
``install''.</li>

<li>To limit a search to words found in a <strong>tag</strong>, you prefix
the keywords with the name of the tag, followed by the equal sign:
<sample>programlisting=bash</sample>, <sample>command= (ls or cd)</sample>,
<sample>tagname = ( (this or that) or "this phrase" )</sample>.  It is not
necessary to have spaces at either side of the ``=''.  Any DocBook tag can
be used, e.g. author, section, screen, note, file, etc.  In addition,
attributes of the tags can be searched as well,
e.g. <sample>section.id=m*</sample> finds the sections with an id that starts
with 'm'. </li>

<li>To search on a word that contains a ``='', precede the ``='' with a
``\'' (backslash): <sample>test = x\=4 or y\=5</sample>. This query returns
the nodes where the word ``x=4'' is associated with the tag ``test'' or
that contains the word ``y=5'' not associated with any tag.</li>

<li>Tag search and plain search can be mixed in a single query: <sample>tag1
= (a1 or a4) not (a3 and a7)</sample>. This query will retrieve all the
nodes in which ``a1'' or ``a2'' are found in the tag ``tag1'' and that do
not contain the words ``a3'' and ``a7'', where ``a3'' and ``a7'' are not
associated to any tag.</li>

</ul>
</div>
